﻿using Hi.Disp;
using Hi.Licenses;
using Hi.MongoUtils;
using System;

namespace Sample
{
    public static class HelloHiAPI
    {
        static int Main(string[] args)
        {
            Console.WriteLine("HiAPI starting.");
            License.LogInAll();
            DispEngine.Init();
            MongoServer.Default = MongoServer.Run(new MongoRunnerOptions()
            {
                MongoPort = 28100
            });

            Console.WriteLine("Hello World! HiAPI.");

            MongoServer.Default.Dispose();
            DispEngine.FinishDisp();
            License.LogOutAll();
            Console.WriteLine("HiAPI exited.");

            return 0;
        }
    }
}
